<%@ page contentType="text/html;charset=UTF-8" %>
<script>
$(document).ready(function() {
	$('#leave1Table').bootstrapTable({
		 
		  //请求方法
               method: 'post',
               //类型json
               dataType: "json",
               contentType: "application/x-www-form-urlencoded",
               //显示检索按钮
	           showSearch: false,
               //显示刷新按钮
               showRefresh: false,
               //显示切换手机试图按钮
               showToggle: false,
               //显示 内容列下拉框
    	       showColumns: false,
    	       //显示到处按钮
    	       showExport: false,
    	       //显示切换分页按钮
    	       showPaginationSwitch: false,
    	       //最低显示2行
    	       minimumCountColumns: 2,
               //是否显示行间隔色
               striped: true,
               //是否使用缓存，默认为true，所以一般情况下需要设置一下这个属性（*）     
               cache: false,    
               //是否显示分页（*）  
               pagination: false,
                //排序方式 
               sortOrder: "asc",  
               //初始化加载第一页，默认第一页
               pageNumber:1,   
               //每页的记录行数（*）   
               pageSize: 10,  
               //可供选择的每页的行数（*）    
               pageList: [10, 25, 50, 100],
               //这个接口需要处理bootstrap table传递的固定参数,并返回特定格式的json数据  
               url: "${ctx}/MaterialReportDetails/likuResultsData",
               //默认值为 'limit',传给服务端的参数为：limit, offset, search, sort, order Else
               //queryParamsType:'',   
               ////查询参数,每次调用是会带上这个参数，可自定义                         
               queryParams : function(params) {
               	var searchParam = $("#searchForm").serializeJSON();
                   return searchParam;
               },
               //分页方式：client客户端分页，server服务端分页（*）
               sidePagination: "server",
               contextMenuTrigger:"right",//pc端 按右键弹出菜单
               contextMenuTriggerMobile:"press",//手机端 弹出菜单，click：单击， press：长按。
               contextMenu: '#context-menu',
               onContextMenuItem: function(row, $el){
                   if($el.data("item") == "edit"){
                   		edit(row.id);
                   }else if($el.data("item") == "view"){
                       view(row.id);
                   } else if($el.data("item") == "delete"){
                        jp.confirm('确认要删除该利库资源记录吗？', function(){
                       	jp.loading();
                       	jp.get("${ctx}/MaterialReportDetails/delete?id="+row.id, function(data){
                   	  		if(data.success){
                   	  			$('#leave1Table').bootstrapTable('refresh');
                   	  			jp.success(data.msg);
                   	  		}else{
                   	  			jp.error(data.msg);
                   	  		}
                   	  	})

                   	});

                   }
               },

               onClickRow: function(row, $el){
               },
               	onShowSearch: function () {
					$("#search-collapse").slideToggle();
				},
				columns: [{
					field: 'nameOfReserve',
					title: '储备项目名称',
					sortable: true,
					sortName: 'nameOfReserve'

				}
				,{
					field: 'materialCode',
					title: '物料编码',
					sortable: true,
					sortName: 'materialCode'

				}
				,{
					field: 'comparisonType',
					title: '利库类型',
					sortable: true,
					sortName: 'materialName'

				}
				,{
					field: 'batch',
					title: '批次号',
					sortable: true,
					sortName: 'batch'

				}
				,{
					field: 'warehouse',
					title: '库存地',
					sortable: true,
					sortName: 'warehouse'

				}
				,{
					field: 'numberNiches',
					title: '利库数量',
					sortable: true,
					sortName: 'numberNiches'

				}]

		});

});
</script>